net.corda.flows

## Class TwoPartyDealFlow.Instigator

- FlowLogic
- - Primary
  - - net.corda.flows.TwoPartyDealFlow.Instigator

- Enclosing class:
    TwoPartyDealFlow

      public static class TwoPartyDealFlow.Instigator
      extends Primary

  One side of the flow for inserting a pre-agreed deal.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.TwoPartyDealFlow.Primary

      `Primary.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.flows.TwoPartyDealFlow.Primary

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Instigator(Party otherParty, TwoPartyDealFlow.AutoOffer payload, java.security.KeyPair myKeyPair, ProgressTracker progressTracker)` One side of the flow for inserting a pre-agreed deal.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.KeyPair` | `getMyKeyPair()`
    `NodeInfo` | `getNotaryNode()`
    `Party` | `getOtherParty()`
    `TwoPartyDealFlow.AutoOffer` | `getPayload()`
    `ProgressTracker` | `getProgressTracker()` Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

    - ### Methods inherited from class net.corda.flows.TwoPartyDealFlow.Primary

      `call, computeOurSignature, getCounterpartyMarker, getMyKeyPair, getNotaryNode, getOtherParty, getPartialTransaction, getPayload, getProgressTracker, verifyPartialTransaction`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### Instigator

          public Instigator(Party otherParty,
                            TwoPartyDealFlow.AutoOffer payload,
                            java.security.KeyPair myKeyPair,
                            ProgressTracker progressTracker)

      One side of the flow for inserting a pre-agreed deal.

      Parameters:
        `progressTracker` -

        Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

        Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

  - ### Method Detail

    - #### getNotaryNode

          public NodeInfo getNotaryNode()

    - #### getOtherParty

          public Party getOtherParty()

    - #### getPayload

          public TwoPartyDealFlow.AutoOffer getPayload()

    - #### getMyKeyPair

          public java.security.KeyPair getMyKeyPair()

    - #### getProgressTracker

          public ProgressTracker getProgressTracker()

      Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

      Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

      See Also:
        `class ProgressTracker`